Follow

Different SafeCentral Plugin Version Displayed with Windows 10 on Google Chrome

The latest version of SafeCentral has been made available for use on Windows 10.

The SafeCentral installation includes a browser plugin for Internet Explorer, Mozilla Firefox, and Google Chrome.

However the SafeCentral plugin version on Google Chrome is different from the plugin versions of the Internet Explorer and Mozilla Fireofox.

We are aware of this issue and are currently deciding the next course of action to resolve this.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk